export const receiverFields = {
  params: [
    {
      name: 'receiverApartment',
      label: 'Номер квартиры',
      icon: 'phone',
      nonNullable: true,
      type: 'string',
      length: { min: 5, max: 30 },
      error: 'Необходимо заполнить поле номер квартиры',
      size: '45%',
    },
    {
      name: 'receiverFloat',
      mask: { onlyNumber: true },
      label: 'Этаж',
      icon: 'phone',
      nonNullable: true,
      type: 'string',
      length: { min: 5, max: 30 },
      error: 'Необходимо заполнить поле этаж',
      size: '45%',
    },
    {
      name: 'receiverFio',
      label: 'ФИО получателя',
      icon: 'phone',
      nonNullable: true,
      type: 'string',
      length: { min: 5, max: 30 },
      error: 'Необходимо заполнить поле Улица',
    },
    {
      name: 'receiverPhone',
      mask: { onlyNumber: true },
      label: 'Телефон',
      icon: 'phone',
      nonNullable: true,
      type: 'string',
      length: { min: 5, max: 30 },
      error: 'Необходимо заполнить поле Номер квартиры',
    },
    {
      name: 'receiverComment',
      label: 'Комментарий',
      icon: 'phone',
      nonNullable: true,
      type: 'string',
      length: { min: 5, max: 30 },
    },
  ],
}

export const senderFields = {
  params: [
    {
      name: 'senderApartment',
      label: 'Номер квартиры',
      icon: 'phone',
      nonNullable: true,
      type: 'string',
      length: { min: 5, max: 30 },
      error: 'Необходимо заполнить поле номер квартиры',
      size: '45%',
    },
    {
      name: 'senderFloat',
      mask: { onlyNumber: true },
      label: 'Этаж',
      icon: 'phone',
      nonNullable: true,
      type: 'string',
      length: { min: 5, max: 30 },
      error: 'Необходимо заполнить поле этаж',
      size: '45%',
    },
    {
      name: 'senderFio',
      label: 'ФИО отправителя',
      icon: 'phone',
      nonNullable: true,
      type: 'string',
      length: { min: 5, max: 30 },
      error: 'Необходимо заполнить поле ФИО отправителя',
    },
    {
      name: 'senderPhone',
      mask: { onlyNumber: true },
      label: 'Телефон',
      icon: 'phone',
      nonNullable: true,
      type: 'string',
      length: { min: 5, max: 30 },
      error: 'Необходимо заполнить поле Телефон',
    },
  ],
}

export const orderFields = {
  params: [
    {
      name: 'price',
      mask: { onlyNumber: true },
      label: 'Цена',
      icon: 'phone',
      nonNullable: true,
      type: 'string',
      length: { min: 5, max: 30 },
    },
  ],
}
